> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/device-applications/wear-launcher/technical-guide.md).

# Technical Guide

## Configurations for the Host Device <a href="#configurations" id="configurations"></a>

### **settings**

Include in the [**settings**](/bluefletch-enterprise/product-guides/bluefletch-launcher/launcher3/technical-guide.md#settings) object in the [Launcher Configuration](/bluefletch-enterprise/product-guides/bluefletch-launcher/launcher3/technical-guide.md) file:

| Field                   | Value                                                                                                                                                                   |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| maxSessionTimeInMinutes | **integer** How long the user has to successfully scan the QR code before the host device signs out. Helps prevent user from walking away and leaving their QR code up. |

### **emsSupportTool**

Include in the [**emsSupportTool**](/bluefletch-enterprise/product-guides/support-application/technical-guide.md) object in the Launcher Configuration file:

| Field | Value                                                                                                                                                                                              |
| ----- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| orgId | **string** Set to the company's organization ID, as displayed on the BlueFletch Portal ***Admin - Organization*** page [here](/bluefletch-enterprise/product-guides/portal/admin/organization.md). |

### **browser**

Certain browser settings are necessary for a proper signin flow:

<table><thead><tr><th width="280">Field</th><th>Value</th></tr></thead><tbody><tr><td>exitBrowserOnIntentCall</td><td><strong>boolean</strong> Set to true so that once authentication is complete, the browser will exit and send the user to the QR Code activity.</td></tr></tbody></table>

### **login**

Include in the **login** array within [**intents**](/bluefletch-enterprise/product-guides/bluefletch-launcher/launcher3/technical-guide.md#intents) object in the Launcher Configuration file:

| Field      | Value                                                                         |
| ---------- | ----------------------------------------------------------------------------- |
| typeIntent | **string** Set to "d"                                                         |
| data       | **integer** Set to 2000 for a 2 second delay before launching the QR Activity |

| Field      | Value                                                                                       |
| ---------- | ------------------------------------------------------------------------------------------- |
| class      | **string** Set to `"com.bluefletch.ems.baseauth.wearable.HostActivity"`                     |
| package    | **string** Set to the currently installed auth package, usually `"com.bluefletch.ems.auth"` |
| flags      | **integer** 1                                                                               |
| typeIntent | **string** set to `"a"`                                                                     |

### **postLogout**

Include in the **postLogout** array within [**intents**](/bluefletch-enterprise/product-guides/bluefletch-launcher/launcher3/technical-guide.md#intents) object in the Launcher Configuration file:

| Field      | Value                                                                                        |
| ---------- | -------------------------------------------------------------------------------------------- |
| action     | **string** Set to `"com.bluefletch.ems.browser.CLEAR_COOKIES"`.                              |
| package    | **string** Set to the installed browser package, usually `"com.bluefletch.ems.emm.browser"`. |
| typeIntent | **string** Set to `"b"`.                                                                     |

| Field      | Value                                                                                        |
| ---------- | -------------------------------------------------------------------------------------------- |
| action     | **string** Set to `"CLEAR_STORAGE"`.                                                         |
| package    | **string** Set to the installed browser package, usually `"com.bluefletch.ems.emm.browser"`. |
| typeIntent | **string** Set to `"p"`.                                                                     |

#### Extended Attributes <a href="#example-configuration" id="example-configuration"></a>

Within the **extendedAttributes** block, include the following:

| Field                       | Value                                                                                                                                                      |
| --------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apiUrl                      | **string** the appropriate apiUrl for your environment, usually `"`[`https://ems-services-api.bluefletch.com`](https://ems-services-api.bluefletch.com)`"` |
| apiKey                      | **string** The appropriate api key for the organization.                                                                                                   |
| wearableHostUseSync         | **boolean** Set to true                                                                                                                                    |
| wearableHostLogoutOnSuccess | **boolean** Set to true                                                                                                                                    |
| tenant\_id                  | **string** the tenant id for Workcloud Sync. This will come from the Sync Portal.                                                                          |
| tenant\_url                 | **string** the tenant url for Workcloud Sync. This will come from the Sync Portal                                                                          |

#### Example Configuration <a href="#example-configuration" id="example-configuration"></a>

```json
{
    "configVersion": "2025.5.29.2_BSB_TEST2",
    "license": "...",
    "group_inclusion": {
        "ZebraAssociates": [
            "Operations"
        ],
        "*": [
            "*"
        ]
    },
    "layouts": {
        "Operations": [
           { 
              "package" : "com.zebra.workcloud.sync"
           }
        ],
        "*": [
            {
                "columnSpan": 3,
                "rowSpan": 1,
                "widgetId": "simple-spacer-1",
                "widgetType": "space"

            },
            {
                "columnSpan": 3,
                "rowSpan": 2,
                "widgetId": "simple-text-1",
                "widgetType": "text",
                "widgetParams": {
                    "icon": "assets:loginIcon2",
                    "iconSize": "400",
                    "backgroundColor": "${launcherState.theme.accentColor}",
                    "onItemClick": {
                        "typeIntent": "a",
                        "action": "com.bluefletch.action.LOGIN",
                        "category": "android.intent.category.LAUNCHER",
                        "package": "com.bluefletch.ems.auth",
                        "class": "com.bluefletch.ems.auth.LoginActivity",
                        "extras": {
                            "EMS_LAUNCHER_PACKAGENAME": "com.bluefletch.ems.emm.launcher",
                            "LOGIN_HINT": ""
                        },
                        "flags": 335544320
                    }
                }
            }
        ]
    },
    "settings": {
        "idleTimeInMinutes": 120,
        "maxSessionTimeInMinutes": 480,
        "activateSearchBar": false,
        "enableNotifications": true,
        "requireAuthOnScreenOn": false,
        "useSecondaryAuth": "none",
        "secondaryAuthPinLength": 4,
        "secondaryAuthRequired": false,
        "alternateSecondaryAuth": "pin",
        "authBrokerService": false,
        "useSiteInfoService": true,
        "disallowSiteChange": false,
        "refreshSiteOnStartup": false,
        "disallowLoggedInSiteChange": false,
        "logLevel": "debug",
        "clearAppDataOnLogout": true,
        "clearAppDataIncludeList": "com.microsoft.teams,com.microsoft.office.outlook",
        "clearAppDataExcludeList": "com.bluefletch.ems.support,com.bluefletch.ems.epm,com.bluefletch.chat,com.bluefletch.ems.browser,com.bluefletch.ems.deviceinformation,com.bluefletch.ems.auth,com.bluefletch.grapheneos.pdfviewer",
        "screenTimeout": 300,
        "useLowBatteryMode": false
    },
    "assets": {
        "loginIcon": "https://storage.googleapis.com/bluefletch-ems-resources/demo/icons/pngtree-vector-login-icon-login-design-shadow-vector-png-image_13266424.png?made=1766973809106000",
        "whiteWallpaper2": "https://img.freepik.com/premium-photo/abstract-white-background-grunge-texture-ai-generative_728418-560.jpg?made=1766973809106000",
        "loginIcon2": "https://storage.googleapis.com/bluefletch-ems-resources/demo/icons/login.png?made=1766973809106000",
        "whiteWallpaper": "https://storage.googleapis.com/bluefletch-ems-resources/demo/wallpapers/nordwood-themes-KcsKWw77Ovw-unsplash.jpg?made=1766973809106000"
    },
    "layoutSettings": {
        "columns": 3,
        "tabletColumns": 3,
        "iconSize": "large",
        "showLabel": true,
        "boldTypeLabel": true,
        "labelFontSize": 14,
        "quickStartIconSize": ""
    },
    "customField": {
        "format": "${config.ex.deviceId}"
    },
    "keyManagement": {
        "enabled": false,
        "baseUrl": "https://ems-services-api-demo.bluefletch.com/",
        "refreshIntervalInSeconds": 280
    },
    "notifications": [
    ],
    "header": [
        {
            "criteria_OR": [
                {
                    "field": "_${session.userId}",
                    "pattern": "^_$"
                }
            ],
            "id": "default_openzone",
            "layout": {
                "columnSpan": 4,
                "rowSpan": 1,
                "widgetId": "openzone_toolbar",
                "widgetParams": {
                    "toolbarTitle": "WS50 Login",
                    "backgroundColor": "${launcherState.theme.accentColor}"
                },
                "widgetType": "toolbar",
                "wifiSettingsEnabled": false
            }
        },
        {
            "criteria_OR": [
                {
                    "field": "_${session.userId}",
                    "pattern": "^_.+$"
                }
            ],
            "id": "default_authorized",
            "layout": {
                "columnSpan": 4,
                "rowSpan": 1,
                "widgetId": "authorized-toolbar",
                "widgetParams": {
                    "toolbarTitle": "WS50 Login",
                    "backgroundColor": "${launcherState.theme.accentColor}"
                },
                "widgetType": "toolbar",
                "wifiSettingsEnabled": false
            }
        }
    ],
    "intents": {
        "login": [
		{
          "typeIntent" : "d",
          "data" : "2000"
        },
            {
                "class": "com.bluefletch.ems.baseauth.wearable.HostActivity",
                "extras": {
                    "wearableLayouts": "${launcherState.wearableLayouts}"
                },
                "flags": 1,
                "package": "com.bluefletch.ems.auth",
                "typeIntent": "a"
            }
        ],
        "postLogout": [
            {
                "action": "com.bluefletch.ems.browser.CLEAR_COOKIES",
                "package": "com.bluefletch.ems.emm.browser",
                "typeIntent": "b"
            },
            {
                "action": "CLEAR_STORAGE",
                "package": "com.bluefletch.ems.emm.browser",
                "typeIntent": "p"
            }
        ],
        "logout": [],
        "uncradle": [],
        "cradle": [
            {
                "action": "android.intent.action.MAIN",
                "package": "com.bluefletch.launcher",
                "category": "android.intent.category.HOME",
                "flags": 1,
                "typeIntent": "a"
            }
        ],
        "screenOn": []
    },
    "theme": {
        "enable": true,
        "darkTheme": false,
        "logo": "assets:BFLogo",
        "wallpaperImage": "assets:whiteWallpaper2"
    },
    "emsSupportTool": {
        "orgId": "...",
        "eventUrl" : "https://ems-pb-api.bluefletch.com/eventsAPI/apiv1/",
        "logUrl" : "https://ems-pb-api.bluefletch.com/",
        "installAppsUncradled": true,
        "allowPhone": true,
        "findMeAutoEnabled": true,
        "findMePlayMedia": true,
        "findMePlayInternalMedia": true,
        "findMeIgnoreScreenState": true,
        "activeLocationTracking": true,
        "allowSpeedTestUI": true
    },
    "appConfig": {
        
    },
	"browser": {
            "showTitle": true,
            "exitBrowserOnIntentCall": true,
            "appLinkPaths": "",
            "convertAppLinks": false,
            "allowCameraAccess": true
    },
    "auth_msal": {
        "client_id": "",
        "redirect_uri": "msauth://com.bluefletch.ems.auth/KUKEusfKtqAOu9UB6jgjtTMKYas%3D",
        "authority_type": "AAD",
        "authorization_user_agent": "BROWSER",
        "broker_redirect_uri_registered": false,
        "shared_device_mode_supported": false,
        "scopes": "openid email profile User.Read GroupMember.Read.All",
        "default_group": "Associates",
        "authority_url": "https://login.microsoftonline.com/7d90cee7-3a02-4900-bd04-f8f6c55cf2e1",
        "audience_tenant_id": ""
    },
    "extendedAttributes": {
        "apiUrl": "https://ems-services-api.bluefletch.com",
        "apiKey": "...",
        "crmStoreId": "1001",
        "wearableHostUseSync": true,
        "wearableHostLogoutOnSuccess": true,
        "tenant_id" : "...",
        "tenant_url" : "..."
    }
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/device-applications/wear-launcher/technical-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
